//
//  BTTestAppViewController.h
//  BTTestApp
//
//  Created by Y on 11/04/16.
//  Copyright 2011 京都産業大学. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <GameKit/GameKit.h>


@interface BTTestAppViewController : UIViewController <GKSessionDelegate> {
	IBOutlet UITextField    *sessionID;   // セッションID を入れておく
	IBOutlet UITextField    *displayName; // ディスプレイ名を入れておく
	IBOutlet UITextView     *msgView;     // エラーメッセージを蓄積する
	
	GKSession                   *session;
	NSMutableArray              *peerList;


}

- (IBAction)doneInputTextField: (id)sender;
- (IBAction)msgClear:(id)sender;

- (IBAction)initButton: (id)sender;
- (IBAction)acceptButton:(id)sender;
- (IBAction)connectButton:(id)sender;
- (IBAction)disconnectButton:(id)sender;
- (IBAction)showPeerButton:(id)sender;

- (IBAction)sendData:(id)sender;

@end

